[tool.interrogate]
ignore-init-method = true
ignore-init-module = false
ignore-magic = true
ignore-semiprivate = true
ignore-private = true
ignore-property-decorators = false
ignore-module = false
exclude = ["setup.py", "docs", "build"]
verbose = 0
quiet = false
whitelist-regex = []
color = true

[tool.black]
target-version = ['py38']
exclude = '''
(
	build
  | docs
  | htmlcov
  | results
  | tests-reports
  | atd2020.egg-info
  | data
  | junk
  | \.egg
  | \.git
  | \.mypy_cache
  | \.pytest_cache
  | \.hypothesis
  | \.ipynb_checkpoints
  | \.__pycache__
)
'''

[tool.isort]
known_third_party=["tqdm"]
profile = "black"
case_sensitive = true
combine_as_imports = true
include_trailing_comma = true
line_length = 88
multi_line_output=3
py_version = 38
src_paths = ["atd2020", "tests"]
skip_glob = "data"
